Package: org.apache.groovy.groovysh.jline

## [Groovy] Class Utils

- org.apache.groovy.groovysh.jline.Utils

-     class Utils
      extends Object

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static void` | `persist(Path file, Object object, Format format)`
    `` | `static String` | `toJson(Object object)`
    `` | `static Map<String, Object>` | `toMap(Object object)`
    `` | `static Object` | `toObject(String json)`
    `` | `static String` | `toString(Object object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### static void persist(Path file, Object object, Format format)

    - #### static String toJson(Object object)

    - #### static Map<String, Object> toMap(Object object)

    - #### static Object toObject(String json)

    - #### static String toString(Object object)